<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "nom4010";
$bitMod = "nom";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultar':
		echo consultar();
		break;

	case 'consultarCorr':
		echo consultarCorr();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;

}

function consultar() {
	global $empCod;

	$priv = new privileges();
	if (!$priv->consult($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorConsult());
	}

	$func = new functions();

	$numCod=utf8_decode($_POST['numCod']);

	# QUERYS
	$sMaestro = "SELECT *, 
				TRIM(mae_nom) AS mae_nom, 
				TRIM(mae_ape) AS mae_ape 
				FROM maestro  WHERE mae_emp='$empCod' AND mae_cod='$numCod'";

	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$codigo=$numCod;
	$resp = $db->sEx($sMaestro, "maestro");
	//$select["maestro"] = $db->query($sMaestro);
	$resp["imgArtic"] = "imgEmpleados/$empCod"."_".$func->imgCharacters($codigo).".jpeg?".rand(1,9999);
	$db->close();

	$func = new functions();
	//return json_encode($resp);	
	return $func->jsonEncodeArray($resp, "maestro");
}

function consultarCorr() {
	global $empCod;

	$func = new functions();

	# QUERYS
	$sNomicorr = "SELECT * FROM nomicorr WHERE nc_emp='$empCod'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sNomicorr, "nomicorr");
	//$select["maestro"] = $db->query($sMaestro);
	//$resp["empaaa"]=$empCod;
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "nomicorr");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod = utf8_decode($_POST["numCod"]);
	$txtNom = utf8_decode($_POST["txtNom"]);
	$txtApe = utf8_decode($_POST["txtApe"]);
	$txtApec = utf8_decode($_POST["txtApec"]);
	$selGrupo = utf8_decode($_POST["selGrupo"]);
	$selDep = utf8_decode($_POST["selDep"]);
	$selPuesto = utf8_decode($_POST["selPuesto"]);
	$txtNomch = utf8_decode($_POST["txtNomch"]);
	$crSexo = utf8_decode($_POST["crSexo"]);
	$txtDir = utf8_decode($_POST["txtDir"]);
	$numZona = utf8_decode($_POST["numZona"]);
	$txtLnac = utf8_decode($_POST["txtLnac"]);
	$txtNacio = utf8_decode($_POST["txtNacio"]);
	$selEcivil = utf8_decode($_POST["selEcivil"]);
	$txtTsang = utf8_decode($_POST["txtTsang"]);
	$numHijos = utf8_decode($_POST["numHijos"]);
	$selTransp = utf8_decode($_POST["selTransp"]);
	$dtFecnac = utf8_decode($_POST["dtFecnac"]);
	$dtFing = utf8_decode($_POST["dtFing"]);
	$txtNigss = utf8_decode($_POST["txtNigss"]);
	$txtNit = utf8_decode($_POST["txtNit"]);
	$txtDpi = utf8_decode($_POST["txtDpi"]);
	$txtExten = utf8_decode($_POST["txtExten"]);
	$txtDepexten = utf8_decode($_POST["txtDepexten"]);
	$txtTel = utf8_decode($_POST["txtTel"]);
	$txtTele = utf8_decode($_POST["txtTele"]);
	$txtProfe = utf8_decode($_POST["txtProfe"]);
	$txtEmail = utf8_decode($_POST["txtEmail"]);
	$txtEsco = utf8_decode($_POST["txtEsco"]);
	$txtCtab = utf8_decode($_POST["txtCtab"]);
	$selTemple = utf8_decode($_POST["selTemple"]);
	$crFpago = utf8_decode($_POST["crFpago"]);
	$txtStat = utf8_decode($_POST["txtStat"]);
	$dtFsal = utf8_decode($_POST["dtFsal"]);
	$crIgss = utf8_decode($_POST["crIgss"]);
	$selMotbaj = utf8_decode($_POST["selMotbaj"]);
	$numSueldo = (!empty($_POST["numSueldo"])) ? $_POST["numSueldo"] : 0;
	$numBonil = (!empty($_POST["numBonil"])) ? $_POST["numBonil"] : 0;
	$numBonii = (!empty($_POST["numBonii"])) ? $_POST["numBonii"] : 0;
	$numBonoe = (!empty($_POST["numBonoe"])) ? $_POST["numBonoe"] : 0;
	$numDepre = (!empty($_POST["numDepre"])) ? $_POST["numDepre"] : 0;
	$numViati = (!empty($_POST["numViati"])) ? $_POST["numViati"] : 0;
	$numAnti = (!empty($_POST["numAnti"])) ? $_POST["numAnti"] : 0;
	$numVisr = (!empty($_POST["numVisr"])) ? $_POST["numVisr"] : 0;

	# QUERYS PARA UN REGISTRO
	$iMaestro = "INSERT INTO maestro (mae_emp,mae_cod,mae_nom,mae_ape,mae_apec,mae_gru,mae_dep,mae_tpue,mae_nomch,mae_sexo,mae_dir,mae_zondir,mae_lnac,mae_nacio,mae_ecivil,mae_tsang,mae_hijos,mae_transp,mae_fecnac,mae_fing,mae_nigss,mae_nit,mae_dpi,mae_exten,mae_depexten,mae_tel,mae_tele,mae_profe,mae_email,mae_escola,mae_ctab,mae_fpago,mae_stat,mae_fsal,mae_igsssn, mae_mbaja, mae_sueldo, mae_bonil, mae_bonii, mae_bonoe, mae_depre, mae_viati, mae_anti, mae_visr, mae_temple) VALUES ('$empCod', '$numCod', '$txtNom', '$txtApe','$txtApec', '$selGrupo', '$selDep', '$selPuesto', '$txtNomch', '$crSexo', '$txtDir', '$numZona', '$txtLnac', '$txtNacio', '$selEcivil', '$txtTsang', '$numHijos', '$selTransp', '$dtFecnac', '$dtFing', '$txtNigss', '$txtNit', '$txtDpi', '$txtExten', '$txtDepexten', '$txtTel', '$txtTele', '$txtProfe','$txtEmail','$txtEsco','$txtCtab','$crFpago','$txtStat','$dtFsal','$crIgss', '$selMotbaj', '$numSueldo', '$numBonil', '$numBonii', '$numBonoe', '$numDepre', '$numViati', '$numAnti', '$numVisr', '$selTemple')";

	$uMaestro = "UPDATE maestro SET mae_nom='$txtNom',mae_ape='$txtApe',mae_apec='$txtApec',mae_gru='$selGrupo',mae_dep='$selDep',mae_tpue='$selPuesto',mae_nomch='$txtNomch',mae_sexo='$crSexo',mae_dir='$txtDir',mae_zondir='$numZona',mae_lnac='$txtLnac',mae_nacio='$txtNacio',mae_ecivil='$selEcivil',mae_tsang='$txtTsang',mae_hijos='$numHijos',mae_transp='$selTransp',mae_fecnac='$dtFecnac',mae_fing='$dtFing',mae_nigss='$txtNigss',mae_nit='$txtNit',mae_dpi='$txtDpi',mae_exten='$txtExten',mae_depexten='$txtDepexten',mae_tel='$txtTel',mae_tele='$txtTele',mae_profe='$txtProfe',mae_email='$txtEmail',mae_escola='$txtEsco',mae_ctab='$txtCtab',mae_fpago='$crFpago',mae_stat='$txtStat',mae_fsal='$dtFsal',mae_igsssn='$crIgss', mae_mbaja='$selMotbaj', mae_sueldo='$numSueldo', mae_bonil='$numBonil', mae_bonii='$numBonii', mae_bonoe='$numBonoe', mae_depre='$numDepre', mae_viati='$numViati', mae_anti='$numAnti', mae_visr='$numVisr', mae_temple='$selTemple' WHERE mae_emp='$empCod' AND mae_cod='$numCod'";

	$sNomicorr = "SELECT * FROM nomicorr WHERE nc_emp='$empCod'";

	function iNomicorr($ncorr) { 
		global $empCod, $usuNom;
		return "INSERT INTO nomicorr(nc_emp, nc_num) VALUES ('$empCod',$ncorr)";
	}
	function uNomicorr($ncorr) { 
		global $empCod, $usuNom;
		return "UPDATE nomicorr SET nc_num=$ncorr WHERE nc_emp='$empCod'";
	}

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iMaestro);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Ficha Empleado, Código: $numCod Usuario: ").$usuNom, $bitMod, $bitForm));

		$select["nomicorr"] = $db->query($sNomicorr);
		$fetchAssoc["nomicorr"] = $db->fetchAssoc($select["nomicorr"]);
		$corract = $fetchAssoc["nomicorr"]["nc_num"];
		if ($numCod>=$corract) {
			$ncorr=$numCod+1;
			if ($func->stringToBool($_POST['nuevocorr'])) {
				$db->iEx(iNomicorr($ncorr));
			} else {
				$db->uEx(uNomicorr($ncorr));
			}
		}
	} else {
		$resp = $db->uEx($uMaestro);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Ficha Empleado, Código: $numCod Usuario: ").$usuNom, $bitMod, $bitForm));
	}

	$db->close();

	if (isset($_FILES['file'])) {
		$func->uploadEmpCod($empCod, $numCod, $_FILES['file'], '../imgEmpleados');
	}

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$numCod=$_POST['numCod'];

	# QUERYS
	$dMaestro = "DELETE FROM maestro WHERE mae_emp='$empCod' AND mae_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dMaestro);
	$db->iEx($func->iBitacora(utf8_decode("Se borró Empleado, Código: $numCod Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	//$func->unlinkEmpCod($empCod, $txtCod, '../imgArticulos');

	return json_encode($resp);
}
?>